bl_info = {
    "name": "Visibility handler",
    "author": "Daniel Bystedt",
    "version": (1, 1, 1),
    "blender": (4, 2, 0),
    "location": "View3D > View > Visibility handler ",
    "description": "Sets visibility of objects etc based on viewport or render",
    "warning": "",
    "doc_url": "",
    "category": "Interface",
}

import importlib

addon_folder = "visibility_handler-1_1_1"
modules = (
    '.addon',
)


def import_modules():
    for mod in modules:
        print("importing " + str(mod))
        importlib.import_module(mod, addon_folder)

def reimport_modules():
    '''
    Reimports the modules. Extremely useful while developing the addon
    '''
    for mod in modules:
        # Reimporting modules during addon development
        want_reload_module = importlib.import_module(mod, addon_folder)
        importlib.reload(want_reload_module)   

'''
import_modules()
reimport_modules()
'''
from . import addon

def register():
    import_modules()  
    addon.register()

def unregister():
    addon.unregister()